com.independentsoft.exchange

## Class ModifiedEvent

- java.lang.Object
- - com.independentsoft.exchange.Event
  - - com.independentsoft.exchange.ModifiedEvent

-     public class ModifiedEvent
      extends Event

  Represents an event in which an item or folder is modified.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModifiedEvent()` Initializes a new instance of the ModifiedEvent class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Id` | `getId()` Gets the identifier of the modified item.
    `FolderId` | `getParentFolderId()` Gets the identifier of the parent folder of the modified item or folder.
    `java.util.Date` | `getTimeStamp()` Gets the timestamp of a modified item or folder mailbox event.
    `int` | `getUnreadCount()` Gets the count of unread items within a given folder.

    - ### Methods inherited from class com.independentsoft.exchange.Event

      `getWatermark`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModifiedEvent

          public ModifiedEvent()

      Initializes a new instance of the ModifiedEvent class.

  - ### Method Detail

    - #### getTimeStamp

          public java.util.Date getTimeStamp()

      Gets the timestamp of a modified item or folder mailbox event.
      Returns:
        the time stamp

    - #### getId

          public Id getId()

      Gets the identifier of the modified item.
      Returns:
        the id

    - #### getParentFolderId

          public FolderId getParentFolderId()

      Gets the identifier of the parent folder of the modified item or folder.
      Returns:
        the parent folder id

    - #### getUnreadCount

          public int getUnreadCount()

      Gets the count of unread items within a given folder.
      Returns:
        the unread count